[icinga-checkins] icinga.org: icinga2/master: Improve error message for old versions of GCC

git at icinga.org git at icinga.org
Sat Aug 27 07:51:30 CEST 2016


Module: icinga2
Branch: master
Commit: 60e86e02ff51dda5aaacf52989eddfe3c02f2e86
URL:    https://git.icinga.org/?p=icinga2.git;a=commit;h=60e86e02ff51dda5aaacf52989eddfe3c02f2e86

Author: Gunnar Beutner <gunnar.beutner at netways.de>
Date:   Sat Aug 27 07:45:37 2016 +0200

Improve error message for old versions of GCC

refs #12537

---

 CMakeLists.txt |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 3076851..6c855bd 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -246,7 +246,7 @@ if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
   )
 
   if("${_ICINGA2_COMPILER_VERSION}" VERSION_LESS "4.6.0")
-    message(FATAL_ERRORSTATUS "Your version of GCC is too old for building Icinga 2 (GCC >= 4.6.0 is required).")
+    message(FATAL_ERROR "Your version of GCC (${_ICINGA2_COMPILER_VERSION}) is too old for building Icinga 2 (GCC >= 4.6.0 is required).")
   endif()
 endif()
 



More information about the icinga-checkins mailing list